Bug 487395 - enable runtime scanning of boot args during a module load
enable runtime scanning of boot args during a module load
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: module-init-tools (Show other bugs)
5.4
All Linux
urgent Severity urgent
: rc
: ---
Assigned To: Jon Masters
BaseOS QE
:
Depends On:
Blocks: 487520
  Show dependency treegraph
 
Reported: 2009-02-25 14:53 EST by Prarit Bhargava
Modified: 2010-10-23 03:53 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
This updated module-init-tools package provides an enhancement that enables module parameters to be read automatically from the kernel command line in the same fashion that built-in kernel modules are handled.(BZ#487395)
Story Points: ---
Clone Of:
: 487520 (view as bug list)
Environment:
Last Closed: 2009-09-02 07:27:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:1362 normal SHIPPED_LIVE module-init-tools bug fix update 2009-09-01 06:57:29 EDT

  None (edit)
Description Prarit Bhargava 2009-02-25 14:53:31 EST
Upstream allows one to specify boot line arguments to be passed into modules.

For example,

nohpet nopmtimer powernow_k8.tscsync=1

would pass the tscsync=1 argument into the powernow_k8 module, while nohpet and nopmtimer would be used by the kernel.

This would be very useful for RHEL5 and according to jcm ;), is a trivial patch.
Comment 10 Ryan Lerch 2009-08-09 19:17:22 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
This updated module-init-tools package provides an enhancement that enables module parameters to be read automatically from the kernel command line in the same fashion that built-in kernel modules are handled.(BZ#487395)
Comment 11 errata-xmlrpc 2009-09-02 07:27:37 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1362.html

Note You need to log in before you can comment on or make changes to this bug.